#pragma once

#include "interface_script.h"

namespace NRTYDeploy {

    class TScriptProjects : public TScriptInterface {
    public:
        virtual void DoProcess(IDeployInfoRequest& request);
        static TFactory::TRegistrator<TScriptProjects> Registrator;
    private:
        void RecreateProjects(IDeployInfoRequest& request);
    };

};
